curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/ordersimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<this-order-id>",
"creation_date": "2025-01-01T00:00:00Z",
"total": 11,
"tax_amount": 1,
"payments": [
{
"total": 11,
"id": "<this-payment-id>",
"payment_method_id": "<pos-payment-method-id>",
"payment_method_name": "Cash",
"tip": 1,
"status": "Completed",
"currency": "EUR",
"date": "2025-01-01T00:00:00Z",
"invoice_ref": "<pos-invoice-id>",
"order_id": "<pos-order-id>"
}
],
"items": [
{
"id": "<this-order-line-id>",
"quantity": 1,
"unit_price": 10,
"total": 11,
"tax_amount": 1,
"type": "product",
"menu_id": "<pos-menu-id>",
"tax_rate": 10,
"tax_id": "<pos-tax-id>",
"description": "Pizza",
"discounts": [],
"product_id": "<pos-product-id>",
"accounting_category_id": "<pos-accounting-category-id>",
"modifiers": []
}
],
"order_number": "1",
"closing_date": "2025-01-01T00:00:00Z",
"service_date": "2025-01-01T00:00:00Z",
"device_id": "<pos-device-id>",
"total_discount": 10,
"total_refund": 5,
"total_tip": 1,
"delivery_fee": 1,
"mode": "eat_in",
"source": "web",
"currency": "EUR",
"country": "FR",
"loyalty": 100,
"customer_id": "<pos-customer-id>",
"location_id": "<pos-location-id>",
"taxes": [],
"guests": 1,
"invoice_id": "<pos-invoice-id>"
}
],
"total": 1,
"page": 2,
"size": 2
}Get orders
Returns the list of orders placed in the POS system, optionally filtered by date range or location.
Path Parameters
Query Parameters
Page number
x >= 1Page size
1 <= x <= 100Start date (inclusive) of the period to get orders from. Ignored when 'closure_id' is provided.
End date (inclusive) of the period to get orders from. Ignored when 'closure_id' is provided.
Unique identifier of the location. If none passed, orders from all locations will be returned unless the location was selected by the end-user
State of the orders to get
open, closed, all Unique identifier of the closure. Scopes the result to that closure instead of a date range: when provided, 'date_from' and 'date_to' are ignored and every order of the closure is returned, whatever its date. If none passed, orders from all closures in the period will be selected.